package org.netkernel.layer0.meta;

import org.netkernel.urii.IIdentifier;
import org.netkernel.urii.IMetaRepresentation;

/** Prototypes are classes exposed by space which implement IEndpointLifecycle (transports/endpoints)
 * @author Tony Butterfield
 *
 */
public interface IPrototypeMeta extends IMetaRepresentation
{
	public static final IPrototypeParameterMeta[] NOPARAM=new IPrototypeParameterMeta[0];
	
	Class getImplementation();
	IPrototypeParameterMeta[] getParameters();
	IIdentifier getIdentifier();
}
