package org.netkernel.layer0.representation;

import org.netkernel.layer0.representation.impl.IHDSValueMatcher;


public interface IHDSInversion
{
	public IHDSNodeList getNodes(Object value);

	public IHDSNodeList getNodes(IHDSValueMatcher matcher);

	public IHDSNodeList getNodesWithAncestor(IHDSNode ancestor, Object value);

	public IHDSNodeList getNodesWithAncestor(IHDSNode ancestor, IHDSValueMatcher matcher);

    public IHDSNode     getRoot();

}